"use strict";
const utils_request = require("../../utils/request.js");
function Delete(id) {
  return utils_request.request({
    url: `/api/extend/CrmOrder/${id}`,
    method: "DELETE"
  });
}
function getOrderList(data, options) {
  return utils_request.request({
    url: `/api/extend/CrmOrder`,
    method: "get",
    data,
    options
  });
}
function getGoodsList(data) {
  return utils_request.request({
    url: `/api/extend/CrmOrder/Goods`,
    method: "get",
    data,
    options: {
      load: false
    }
  });
}
function getCustomerList(keyword) {
  return utils_request.request({
    url: `/api/extend/CrmOrder/Customer`,
    method: "get",
    data: {
      keyword: keyword || ""
    },
    options: {
      load: false
    }
  });
}
exports.Delete = Delete;
exports.getCustomerList = getCustomerList;
exports.getGoodsList = getGoodsList;
exports.getOrderList = getOrderList;
