"use strict";
const utils_request = require("../../utils/request.js");
function getSendList(data, options) {
  return utils_request.request({
    url: `/api/extend/WorkLog/Send`,
    method: "GET",
    data,
    options
  });
}
function getReceiveList(data, options) {
  return utils_request.request({
    url: `/api/extend/WorkLog/Receive`,
    method: "GET",
    data,
    options
  });
}
function getLogInfo(id) {
  return utils_request.request({
    url: `/api/extend/WorkLog/${id}`,
    method: "GET"
  });
}
function createLog(data) {
  return utils_request.request({
    url: `/api/extend/WorkLog`,
    method: "POST",
    data
  });
}
function updateLog(data) {
  return utils_request.request({
    url: `/api/extend/WorkLog/${data.id}`,
    method: "PUT",
    data
  });
}
function delLog(id) {
  return utils_request.request({
    url: `/api/extend/WorkLog/${id}`,
    method: "DELETE"
  });
}
exports.createLog = createLog;
exports.delLog = delLog;
exports.getLogInfo = getLogInfo;
exports.getReceiveList = getReceiveList;
exports.getSendList = getSendList;
exports.updateLog = updateLog;
