"use strict";
const utils_request = require("../../utils/request.js");
function getConfigData(modelId, type) {
  return utils_request.request({
    url: `/api/visualdev/OnlineDev/${modelId}/Config?type=${type}`,
    method: "GET"
  });
}
function getModelList(modelId, data, options) {
  return utils_request.request({
    url: `/api/visualdev/OnlineDev/${modelId}/List`,
    method: "POST",
    data,
    options: {
      load: false
    }
  });
}
function createModel(modelId, data) {
  return utils_request.request({
    url: `/api/visualdev/OnlineDev/${modelId}`,
    method: "POST",
    data
  });
}
function updateModel(modelId, data) {
  return utils_request.request({
    url: `/api/visualdev/OnlineDev/${modelId}/${data.id}`,
    method: "PUT",
    data
  });
}
function getModelInfo(modelId, id) {
  return utils_request.request({
    url: `/api/visualdev/OnlineDev/${modelId}/${id}`,
    method: "GET"
  });
}
function deteleModel(modelId, id) {
  return utils_request.request({
    url: `/api/visualdev/OnlineDev/${modelId}/${id}`,
    method: "DELETE"
  });
}
exports.createModel = createModel;
exports.deteleModel = deteleModel;
exports.getConfigData = getConfigData;
exports.getModelInfo = getModelInfo;
exports.getModelList = getModelList;
exports.updateModel = updateModel;
