"use strict";
const utils_request = require("../utils/request.js");
function getIMReply() {
  return utils_request.request({
    url: "/api/message/imreply",
    options: {
      load: true
    }
  });
}
function getMessageList(data) {
  return utils_request.request({
    url: "/api/message",
    data,
    options: {
      load: false
    }
  });
}
function getUnReadMsgNum(data) {
  return utils_request.request({
    url: "/api/message/getUnReadMsgNum",
    data,
    options: {
      load: false
    }
  });
}
function MessageAllRead(data) {
  return utils_request.request({
    url: "/api/message/Actions/ReadAll",
    method: "POST",
    data
  });
}
function getMessageDetail(id) {
  return utils_request.request({
    url: `/api/message/ReadInfo/${id}`,
    method: "get"
  });
}
function checkInfo(taskOperatorId) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/${taskOperatorId}/Info`,
    method: "get"
  });
}
function relocation(id) {
  return utils_request.request({
    url: `/api/message/imreply/relocation/${id}`,
    method: "delete"
  });
}
exports.MessageAllRead = MessageAllRead;
exports.checkInfo = checkInfo;
exports.getIMReply = getIMReply;
exports.getMessageDetail = getMessageDetail;
exports.getMessageList = getMessageList;
exports.getUnReadMsgNum = getUnReadMsgNum;
exports.relocation = relocation;
