"use strict";
const utils_request = require("../../utils/request.js");
function FlowBeforeList(category, data, options) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/List/${category}`,
    method: "get",
    data,
    options: {
      load: false
    }
  });
}
function FlowBeforeInfo(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/${id}`,
    method: "get",
    data
  });
}
function Audit(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/Audit/${id}`,
    method: "post",
    data
  });
}
function Reject(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/Reject/${id}`,
    method: "post",
    data
  });
}
function Recall(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/Recall/${id}`,
    method: "post",
    data
  });
}
function cancel(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/Cancel/${id}`,
    method: "post",
    data
  });
}
function Transfer(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/Transfer/${id}`,
    method: "post",
    data
  });
}
function getRecordList(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/RecordList/${id}`,
    method: "get",
    data
  });
}
function SaveAudit(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/SaveAudit/${id}`,
    method: "post",
    data
  });
}
function Candidates(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/Candidates/${id}`,
    method: "post",
    data
  });
}
function CandidateUser(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/CandidateUser/${id}`,
    method: "post",
    data
  });
}
function RejectList(id) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/RejectList/${id}`,
    method: "get"
  });
}
function FreeApprover(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/freeApprover/${id}`,
    method: "post",
    data
  });
}
function SubFlowInfo(id) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/SubFlowInfo/${id}`,
    method: "get"
  });
}
function getTaskUserList(taskId, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowBefore/TaskUserList/${taskId}`,
    method: "get",
    data
  });
}
exports.Audit = Audit;
exports.CandidateUser = CandidateUser;
exports.Candidates = Candidates;
exports.FlowBeforeInfo = FlowBeforeInfo;
exports.FlowBeforeList = FlowBeforeList;
exports.FreeApprover = FreeApprover;
exports.Recall = Recall;
exports.Reject = Reject;
exports.RejectList = RejectList;
exports.SaveAudit = SaveAudit;
exports.SubFlowInfo = SubFlowInfo;
exports.Transfer = Transfer;
exports.cancel = cancel;
exports.getRecordList = getRecordList;
exports.getTaskUserList = getTaskUserList;
