"use strict";
const utils_request = require("../../utils/request.js");
function FlowJsonList(id, type) {
  return utils_request.request({
    url: `/api/workflow/Engine/flowTemplate/FlowJsonList/${id}`,
    method: "get",
    data: {
      type
    }
  });
}
function FlowEnginePageList(data) {
  return utils_request.request({
    url: `/api/workflow/Engine/flowTemplate/PageListAll`,
    method: "get",
    data,
    options: {
      load: false
    }
  });
}
function flowForm(id) {
  return utils_request.request({
    url: `/api/flowForm/Form/${id}`,
    method: "get"
  });
}
function FlowEngineListAll() {
  return utils_request.request({
    url: `/api/workflow/Engine/flowTemplate/ListAll`,
    method: "get",
    options: {
      load: false
    }
  });
}
function getCommentList(data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowComment`,
    method: "get",
    data
  });
}
function createComment(data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowComment`,
    method: "post",
    data
  });
}
function delComment(id) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowComment/${id}`,
    method: "delete"
  });
}
function FlowEngineAll(data) {
  return utils_request.request({
    url: `/api/workflow/Engine/flowTemplate/getflowAll`,
    method: "get",
    data
  });
}
function getFlowIdByCode(enCode) {
  return utils_request.request({
    url: `/api/workflow/Engine/flowTemplate/getFlowIdByCode/${enCode}`,
    method: "get"
  });
}
function getFlowTodoCount(data) {
  return utils_request.request({
    url: `/api/visualdev/Dashboard/FlowTodoCount`,
    method: "post",
    data
  });
}
function getFlowEngineListByIds(data) {
  return utils_request.request({
    url: `/api/workflow/Engine/flowTemplate/getflowList`,
    method: "post",
    data
  });
}
exports.FlowEngineAll = FlowEngineAll;
exports.FlowEngineListAll = FlowEngineListAll;
exports.FlowEnginePageList = FlowEnginePageList;
exports.FlowJsonList = FlowJsonList;
exports.createComment = createComment;
exports.delComment = delComment;
exports.flowForm = flowForm;
exports.getCommentList = getCommentList;
exports.getFlowEngineListByIds = getFlowEngineListByIds;
exports.getFlowIdByCode = getFlowIdByCode;
exports.getFlowTodoCount = getFlowTodoCount;
