"use strict";
const utils_request = require("../../utils/request.js");
function FlowLaunchList(data, options) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowLaunch`,
    method: "get",
    data,
    options: {
      load: false
    }
  });
}
function Delete(id) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowLaunch/${id}`,
    method: "DELETE"
  });
}
function Revoke(id, data) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowLaunch/${id}/Actions/Withdraw`,
    method: "PUT",
    data
  });
}
function Press(id) {
  return utils_request.request({
    url: `/api/workflow/Engine/FlowLaunch/Press/${id}`,
    method: "post"
  });
}
exports.Delete = Delete;
exports.FlowLaunchList = FlowLaunchList;
exports.Press = Press;
exports.Revoke = Revoke;
